Imports System
Imports System.ComponentModel
Imports System.Drawing
Imports System.Windows.Forms
Imports System.Collections

'Klasa prezentacji danych w postaci tabeli
'wykorzystuje wspólny iterfejs VisList

Public Class ProductTable
  Implements VisList
  Private gridList As GridAdapter
  '-----
  Public Sub addLine(ByVal p As Product) _
          Implements VisList.addLine
    gridList.addLine(p)
  End Sub
  '-----
  Public Sub New(ByVal c As DataGrid)
    MyBase.new()
    gridList = New GridAdapter(c)
  End Sub
  '-----
  Public Sub removeLine(ByVal num As Integer) _
      Implements VisList.removeLine
    gridList.removeLine(num)
  End Sub
End Class
